#include <QtGui>
#include <taglib/tag.h>
#include <taglib/fileref.h>

#include "detailsdialog.h"
#include "decoder_ogg.h"
#include "tag.h"
#include "decoderoggfactory.h"


// DecoderOggFactory

bool DecoderOggFactory::supports(const QString &source) const
{
    //TODO: FLAC?
    return source.right(4).toLower() == ".ogg";
}

const QString &DecoderOggFactory::name() const
{
    static QString name (tr("Ogg Vorbis Plugin"));
    return name;
}

const QString &DecoderOggFactory::filter() const
{
    static QString filter("*.ogg");
    return filter;
}


const QString &DecoderOggFactory::description() const
{
    static QString desc(tr("Ogg Vorbis Files"));
    return desc;
}

Decoder *DecoderOggFactory::create(QObject *parent, QIODevice *input,
                                   Output *output,
                                   bool deletable)
{
    //if (deletable)
    return new DecoderOgg(parent, this, input, output);

    /*static DecoderOgg *decoder = 0;
    if (! decoder) {
    decoder = new DecoderOgg(parent, this, input, output);
    } else {
    decoder->setInput(input);
    decoder->setOutput(output);
    }

    return decoder;*/
}

FileTag *DecoderOggFactory::createTag(const QString &source)
{
    FileTag *tag = new Tag(source);
    return tag;
}

void DecoderOggFactory::showDetails(QWidget *parent, const QString &path)
{
    DetailsDialog *d = new DetailsDialog(parent, path);
    d -> show();
}

void DecoderOggFactory::showSettings(QWidget *parent)
{
    /*SettingsDialog *s = new SettingsDialog(parent);
    s -> show();*/
}

Q_EXPORT_PLUGIN(DecoderOggFactory)
